from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XReset(XInterface, Protocol):
    def reset(self) -> None: ...
    def addResetListener(self, aListener: XResetListener) -> None: ...
    def removeResetListener(self, aListener: XResetListener) -> None: ...
